Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.spi.core.protocol
Class ConnectionEntry

    java.lang.Object
      org.hornetq.spi.core.protocol.ConnectionEntry

    public class ConnectionEntry

extends Object

A ConnectionEntry

Author:
  Tim Fox

Field Summary
`RemotingConnection` | `connection`
`Executor` | `connectionExecutor`
`long` | `lastCheck`
`long` | `ttl`

Constructor Summary
`ConnectionEntry(RemotingConnection connection, Executor connectionExecutor, long lastCheck, long ttl)`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### connection

    public final RemotingConnection connection

### lastCheck

    public volatile long lastCheck

### ttl

    public volatile long ttl

### connectionExecutor

    public final Executor connectionExecutor

Constructor Detail

### ConnectionEntry

    public ConnectionEntry(RemotingConnection connection,
                           Executor connectionExecutor,
                           long lastCheck,
                           long ttl)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Red Hat Inc. All Rights Reserved.